Bug 336571 - SELinux is preventing X (xdm_xserver_t) "read write" to /SYSV00000000 (deleted) (rpm_tmpfs_t)
SELinux is preventing X (xdm_xserver_t) "read write" to /SYSV00000000 (delete...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
i386 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-17 15:02 EDT by Dan Beard
Modified: 2008-01-30 14:19 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:19:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Beard 2007-10-17 15:02:37 EDT
Description of problem:
Summary
    SELinux is preventing X (xdm_xserver_t) "read write" to /SYSV00000000
    (deleted) (rpm_tmpfs_t).

Detailed Description
    SELinux denied access requested by X. It is not expected that this access is
    required by X and this access may signal an intrusion attempt. It is also
    possible that the specific version or configuration of the application is
    causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for /SYSV00000000 (deleted),
    restorecon -v /SYSV00000000 (deleted) If this does not work, there is
    currently no automatic way to allow this access. Instead,  you can generate
    a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                system_u:system_r:xdm_xserver_t:s0-s0:c0.c1023
Target Context                system_u:object_r:rpm_tmpfs_t:s0
Target Objects                /SYSV00000000 (deleted) [ file ]
Affected RPM Packages         
Policy RPM                    selinux-policy-3.0.8-22.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   plugins.catchall_file
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.23-6.fc8 #1 SMP
                              Thu Oct 11 14:54:16 EDT 2007 i686 i686
Alert Count                   6
First Seen                    Mon 15 Oct 2007 11:58:30 PM CDT
Last Seen                     Wed 17 Oct 2007 01:58:23 PM CDT
Local ID                      70dc410e-f9db-4b00-a504-d0fb7b63dbf3
Line Numbers                  

Raw Audit Messages            

avc: denied { read write } for comm=X dev=tmpfs
path=2F535953563030303030303030202864656C6574656429 pid=2205
scontext=system_u:system_r:xdm_xserver_t:s0-s0:c0.c1023 tclass=file
tcontext=system_u:object_r:rpm_tmpfs_t:s0



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Will Woods 2007-10-17 15:20:09 EDT
Could you please give some information on what you were doing when this happened? 

Also, I assume this happened in rawhide and not actually FC6Test3?

Also, please put useful summaries in bug reports - it makes things a lot harder
when we can't tell what a bug is about from the summary.
Comment 2 Daniel Walsh 2007-10-18 16:03:15 EDT
Fixed in selinux-policy-3.0.8-24
Comment 3 Daniel Walsh 2008-01-30 14:19:37 EST
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.

Note You need to log in before you can comment on or make changes to this bug.